Method: projects.locations.brands.stores.batchGet

Batch gets stores.

HTTP request

GET https://foodorderingaiagent.googleapis.com/v1/{parent=projects/*/locations/*/brands/*}/stores:batchGet

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The parent resource shared by all stores being retrieved. Format: projects/{project}/locations/{location}/brands/{brand}

Query parameters

Parameters
names[]

string

Required. The names of the stores to retrieve. A maximum of 1000 stores can be retrieved in a batch. Format: projects/{project}/locations/{location}/brands/{brand}/stores/{store}

Request body

The request body must be empty.

Response body

Response message for MenuService.BatchGetStores.

If successful, the response body contains data with the following structure:

JSON representation
{
  "stores": [
    {
      object (Store)
    }
  ]
}
Fields
stores[]

object (Store)

The requested stores.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.